Bug 1122162 - Infinispan Core module for EAP not importing Services from the Query module
Summary: Infinispan Core module for EAP not importing Services from the Query module
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: EAP modules
Version: 6.3.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: ER1
: 6.3.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1139627
TreeView+ depends on / blocked
 
Reported: 2014-07-22 16:49 UTC by Sanne Grinovero
Modified: 2015-01-26 14:04 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously in Red Hat JBoss Data Grid, the module definition for the productized Infinispan Core in <filename class="directory">$EAP_MODULES_LIBRARY/modules/org/infinispan/jdg-6.3</filename> depended on the Query module but failed to import its services. Not loading the services allowed the Indexing feature to be enabled, although several operations were failing at run time. This issue is now fixed in JBoss Data Grid 6.3.1.
Clone Of:
: 1139627 (view as bug list)
Environment:
Last Closed: 2015-01-26 14:04:54 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-4557 Major Resolved Infinispan Core module for the application server not importing Services from the Query module 2015-05-13 01:56:37 UTC

Description Sanne Grinovero 2014-07-22 16:49:45 UTC
Description of problem:
The module definition of Infinispan Core (the JDG main module) depends on the Query module but fails to import the Services.

Not loading the services allows the Indexing feature to be enabled, although several operations will fail at runtime.

A workaround is to patch the module definition:

<module name="org.infinispan.query" slot="jdg-6.3"/>

needs to be changed to

<module name="org.infinispan.query" slot="jdg-6.3" services="import" />

Comment 2 Sanne Grinovero 2014-07-31 18:12:29 UTC
Upstream pull request is sent.
This needed several more changes for Infinispan 7. Unfortunately the modules in upstream are quite different than JDG, but the tests I added should be easy to backport.

Comment 3 Gustavo Fernandes 2014-08-14 09:26:30 UTC
PR for jdg 6.3.x https://github.com/infinispan/jdg/pull/181

Comment 4 Adrian Nistor 2014-08-14 14:05:01 UTC
PR for 6.3.x integrated.

Comment 5 Gustavo Fernandes 2014-08-14 14:46:11 UTC
PR for jdg 6.4.x https://github.com/infinispan/jdg/pull/185

Comment 6 Adrian Nistor 2014-08-14 15:40:26 UTC
Integrated in jdg-6.4.x too.

Comment 7 Tomas Sykora 2014-08-28 10:28:11 UTC
VERIFIED for 6.3.1 ER1.

This BZ remains open until verification with JDG 6.4.0.


Note You need to log in before you can comment on or make changes to this bug.